package de.thd.pms.controller;


import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import de.thd.pms.service.BuchungService;
import de.thd.pms.service.ZimmerService;

@Controller
public class BuchungController {
	private static Logger log = LogManager.getLogger(BuchungController.class);
	
	@Autowired
	private ZimmerService zimmerService;

	@Autowired
	private BuchungService buchungService;
	

	
	@RequestMapping("/buchung")
	public String zimmer(Integer anzbett, Integer preisErw, Integer preisKind) {
		
		final long zimmerid;
		
		log.info("zimmer" + anzbett + " " + preisErw + " " + preisKind);
		zimmerid = zimmerService.createZimmer(anzbett, preisErw, preisKind).getId();
		buchungService.createBuchung(zimmerid);
		return "home";
	}
	
}
