
package de.thd.pms.controller;

import java.beans.JavaBean;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;



@JavaBean
@Controller
public class HomeController {
	private static Logger log = LogManager.getLogger(HomeController.class);

   
	@RequestMapping("/welcome")
    public ModelAndView home() {
    	
    	log.info("Controller für die Methode welcome");
    	ModelAndView mv = new ModelAndView();
    	mv.addObject("title", "Hallo Leute !");
    	mv.addObject("message", "Test blalbalbala");
    	mv.setViewName("home");
    	return mv;
    
   
    }

}
    	 